Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.jeri.ssl
Class ConfidentialityStrength

    java.lang.Object
      net.jini.jeri.ssl.ConfidentialityStrength

All Implemented Interfaces:
  InvocationConstraint, Serializable

public final class ConfidentialityStrength
extends Object
implements InvocationConstraint, Serializable

Represents a constraint that, if confidentiality of message contents is ensured, the specified strength of confidentiality be used.

The use of an instance of this constraint does not directly imply a `Confidentiality.YES` constraint; that must be specified separately to ensure that confidentiality is actually ensured.

Serialization for this class is guaranteed to produce instances that are comparable with `==`.

This constraint is supported by the endpoints defined in this package.

The `SslTrustVerifier` trust verifier may be used for establishing trust in remote proxies that use instances of this class.

Since:
  2.0
See Also:
  `SslEndpoint`, `SslServerEndpoint`, `HttpsEndpoint`, `HttpsServerEndpoint`, `SslTrustVerifier`, Serialized Form

Field Summary
`static ConfidentialityStrength` | `STRONG` If confidentiality of message contents is ensured, then use strong confidentiality for message contents.
`static ConfidentialityStrength` | `WEAK` If confidentiality of message contents is ensured, then use weak confidentiality for message contents.

Method Summary
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRONG

    public static final ConfidentialityStrength STRONG

  If confidentiality of message contents is ensured, then use strong confidentiality for message contents.

  For the endpoints in this package, this constraint is supported by cipher suites with the following cipher algorithms:

  - 3DES_EDE_CBC
  - AES_128_CBC
  - AES_256_CBC
  - IDEA_CBC
  - RC4_128

### WEAK

    public static final ConfidentialityStrength WEAK

  If confidentiality of message contents is ensured, then use weak confidentiality for message contents.

  For the endpoints in this package, this constraint is supported by cipher suites with the following cipher algorithms:

  - DES40_CBC
  - DES_CBC
  - RC2_CBC_40
  - RC4_40

Method Detail

### toString

    public String toString()

  Returns a string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved